Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class PrintSetupRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PrintSetupRecord

    public final class PrintSetupRecord

extends StandardRecord

Title: PAGESETUP (0x00A1)

Description: Stores print setup options -- bogus for HSSF (and marked as such)

REFERENCE: PG 385 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

REFERENCE: PG 412 Microsoft Excel Binary File Format Structure v20091214

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`PrintSetupRecord()`
`PrintSetupRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getCopies()`
`boolean` | `getDraft()`
`short` | `getFitHeight()`
`short` | `getFitWidth()`
`double` | `getFooterMargin()`
`double` | `getHeaderMargin()`
`short` | `getHResolution()`
`boolean` | `getLandscape()`
`boolean` | `getLeftToRight()`
`boolean` | `getNoColor()`
`boolean` | `getNoOrientation()`
`boolean` | `getNotes()`
`short` | `getOptions()`
`short` | `getPageStart()`
`short` | `getPaperSize()`
`short` | `getScale()`
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `getUsePage()`
`boolean` | `getValidSettings()`
`short` | `getVResolution()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCopies(short copies)`
`void` | `setDraft(boolean d)`
`void` | `setFitHeight(short height)`
`void` | `setFitWidth(short width)`
`void` | `setFooterMargin(double footermargin)`
`void` | `setHeaderMargin(double headermargin)`
`void` | `setHResolution(short resolution)`
`void` | `setLandscape(boolean ls)`
`void` | `setLeftToRight(boolean ltor)`
`void` | `setNoColor(boolean mono)`
`void` | `setNoOrientation(boolean orientation)`
`void` | `setNotes(boolean printnotes)`
`void` | `setOptions(short options)`
`void` | `setPageStart(short start)`
`void` | `setPaperSize(short size)`
`void` | `setScale(short scale)`
`void` | `setUsePage(boolean page)`
`void` | `setValidSettings(boolean valid)`
`void` | `setVResolution(short resolution)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### PrintSetupRecord

    public PrintSetupRecord()

### PrintSetupRecord

    public PrintSetupRecord(RecordInputStream in)

Method Detail

### setPaperSize

    public void setPaperSize(short size)

### setScale

    public void setScale(short scale)

### setPageStart

    public void setPageStart(short start)

### setFitWidth

    public void setFitWidth(short width)

### setFitHeight

    public void setFitHeight(short height)

### setOptions

    public void setOptions(short options)

### setLeftToRight

    public void setLeftToRight(boolean ltor)

### setLandscape

    public void setLandscape(boolean ls)

### setValidSettings

    public void setValidSettings(boolean valid)

### setNoColor

    public void setNoColor(boolean mono)

### setDraft

    public void setDraft(boolean d)

### setNotes

    public void setNotes(boolean printnotes)

### setNoOrientation

    public void setNoOrientation(boolean orientation)

### setUsePage

    public void setUsePage(boolean page)

### setHResolution

    public void setHResolution(short resolution)

### setVResolution

    public void setVResolution(short resolution)

### setHeaderMargin

    public void setHeaderMargin(double headermargin)

### setFooterMargin

    public void setFooterMargin(double footermargin)

### setCopies

    public void setCopies(short copies)

### getPaperSize

    public short getPaperSize()

### getScale

    public short getScale()

### getPageStart

    public short getPageStart()

### getFitWidth

    public short getFitWidth()

### getFitHeight

    public short getFitHeight()

### getOptions

    public short getOptions()

### getLeftToRight

    public boolean getLeftToRight()

### getLandscape

    public boolean getLandscape()

### getValidSettings

    public boolean getValidSettings()

### getNoColor

    public boolean getNoColor()

### getDraft

    public boolean getDraft()

### getNotes

    public boolean getNotes()

### getNoOrientation

    public boolean getNoOrientation()

### getUsePage

    public boolean getUsePage()

### getHResolution

    public short getHResolution()

### getVResolution

    public short getVResolution()

### getHeaderMargin

    public double getHeaderMargin()

### getFooterMargin

    public double getFooterMargin()

### getCopies

    public short getCopies()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD